=== debian/changelog ===
mplayer (0.18-4) unstable; urgency=low

  * Changes to debian packaging suggested Josip Rodin 

 -- Dariush Pietrzak <eyck@ghost.forumakad.pl>  Wed, 22 Aug 2001 22:40:58 +0200

mplayer (0.18-3) unstable; urgency=low

  * fixed templates. 

 -- Dariush Pietrzak <eyck@ghost.tinet.pl>  Sat, 28 Jul 2001 09:45:45 +0200

mplayer (0.18-2) unstable; urgency=low

  * modified debian scripts 

 -- Dariush Pietrzak <eyck@ghost.tinet.pl>  Fri, 27 Jul 2001 09:25:52 +0200

mplayer (0.18-1) unstable; urgency=low

  * lots of changes in mplayer 

 -- Dariush Pietrzak <eyck@incubus.ar.lublin.pl>  Mon, 25 Jun 2001 15:59:18 +0200

mplayer (0.17a-2) unstable; urgency=low

  * mplayer.conf file, automatic menu files update 

 -- Dariush Pietrzak <eyck@incubus.ar.lublin.pl>  Sun, 20 May 2001 22:50:41 +0200

mplayer (0.17a-1) unstable; urgency=low

  * Version change, debian scripts update (rm), maintainer switch

 -- Dariush Pietrzak <eyck@incubus.ar.lublin.pl>  Thu, 17 May 2001 13:25:12 +0200

mplayer (0.11pre-1) unstable; urgency=low

  * Initial release.

 -- * TeLeNiEkO * <telenieko@telenieko.com>  Mon, 26 Feb 2001 12:24:04 +0100

Local variables:
mode: debian-changelog
End:
